commit:     323c03adc46542c2391e6b291a77002e612c31ad
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 20:02:35 2016 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 21:19:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=323c03ad

media-fonts/source-han-sans: Migrate from LINGUAS to L10N.

Also remove version 1.001-r1 which contains a redundant cjk USE flag.
It is wrong to download and install all fonts (over 780 MB), if the
user has explicitly asked for exclusion of some languages by setting
USE="-l10n_*".

Package-Manager: portage-2.3.0

 .../source-han-sans-1.001-r1.ebuild                | 39 ----------------------
 .../source-han-sans/source-han-sans-1.001.ebuild   | 18 +++++-----
 2 files changed, 9 insertions(+), 48 deletions(-)

diff --git a/media-fonts/source-han-sans/source-han-sans-1.001-r1.ebuild 
b/media-fonts/source-han-sans/source-han-sans-1.001-r1.ebuild
deleted file mode 100644
index b43edfd..0000000
--- a/media-fonts/source-han-sans/source-han-sans-1.001-r1.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-inherit font
-
-# Note to maintainers:
-# The upstream tarball is huge (over 780 MB), so we repackage the
-# regional subset OTF fonts per region, for the user's convenience.
-
-DESCRIPTION="Pan-CJK OpenType/CFF font family"
-HOMEPAGE="https://github.com/adobe-fonts/source-han-sans/";
-SRC_URI="cjk? ( https://dev.gentoo.org/~yngwin/distfiles/${PN}-ja-${PV}.tar.xz
-               https://dev.gentoo.org/~yngwin/distfiles/${PN}-ko-${PV}.tar.xz
-               
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_CN-${PV}.tar.xz
-               
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_TW-${PV}.tar.xz )
-       linguas_ja? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ja-${PV}.tar.xz )
-       linguas_ko? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ko-${PV}.tar.xz )
-       linguas_zh_CN? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_CN-${PV}.tar.xz )
-       linguas_zh_TW? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_TW-${PV}.tar.xz )"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 
~x86-fbsd ~x64-macos"
-IUSE="cjk linguas_ja linguas_ko +linguas_zh_CN linguas_zh_TW"
-REQUIRED_USE="|| ( cjk linguas_ja linguas_ko linguas_zh_CN linguas_zh_TW )"
-
-S=${WORKDIR}
-FONT_SUFFIX="otf"
-RESTRICT="binchecks strip"
-
-src_install() {
-       for l in ja ko zh_CN zh_TW; do
-               ( use cjk || use linguas_${l} ) \
-                       && FONT_S="${S}/source-han-sans-${l}-${PV}" 
font_src_install
-       done
-       dodoc source-han-sans-*-${PV}/*md source-han-sans-*-${PV}/*pdf
-}

diff --git a/media-fonts/source-han-sans/source-han-sans-1.001.ebuild 
b/media-fonts/source-han-sans/source-han-sans-1.001.ebuild
index c2b1cf8..34828dc 100644
--- a/media-fonts/source-han-sans/source-han-sans-1.001.ebuild
+++ b/media-fonts/source-han-sans/source-han-sans-1.001.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -11,24 +11,24 @@ inherit font
 
 DESCRIPTION="Pan-CJK OpenType/CFF font family"
 HOMEPAGE="https://github.com/adobe-fonts/source-han-sans/";
-SRC_URI="linguas_ja? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ja-${PV}.tar.xz )
-       linguas_ko? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ko-${PV}.tar.xz )
-       linguas_zh_CN? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_CN-${PV}.tar.xz )
-       linguas_zh_TW? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_TW-${PV}.tar.xz )"
+SRC_URI="l10n_ja? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ja-${PV}.tar.xz )
+       l10n_ko? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-ko-${PV}.tar.xz )
+       l10n_zh-CN? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_CN-${PV}.tar.xz )
+       l10n_zh-TW? ( 
https://dev.gentoo.org/~yngwin/distfiles/${PN}-zh_TW-${PV}.tar.xz )"
 
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="alpha amd64 arm ~arm64 ia64 ppc ppc64 ~sh sparc x86 ~x86-fbsd 
~x64-macos"
-IUSE="linguas_ja linguas_ko +linguas_zh_CN linguas_zh_TW"
-REQUIRED_USE="|| ( linguas_ja linguas_ko linguas_zh_CN linguas_zh_TW )"
+IUSE="l10n_ja l10n_ko +l10n_zh-CN l10n_zh-TW"
+REQUIRED_USE="|| ( l10n_ja l10n_ko l10n_zh-CN l10n_zh-TW )"
 
 S=${WORKDIR}
 FONT_SUFFIX="otf"
 RESTRICT="binchecks strip"
 
 src_install() {
-       for l in ja ko zh_CN zh_TW; do
-               use linguas_${l} && FONT_S="${S}/source-han-sans-${l}-${PV}" 
font_src_install
+       for l in ja ko zh-CN zh-TW; do
+               use l10n_${l} && FONT_S="${S}/source-han-sans-${l}-${PV}" 
font_src_install
        done
        dodoc source-han-sans-*-${PV}/*md source-han-sans-*-${PV}/*pdf
 }

Reply via email to